%define name kxine
%define version 0.5
%define pre rc1
%define release 0.%{pre}.5mdk

Summary: 		KDE front end of the xine media player
Name: 			%{name}
Version: 		%{version}
Release: 		%{release}
Source0: 		%{name}-%{version}-%pre.tar.bz2
Patch:	 		kxine-0.4-gcc31.patch.bz2
License: 		GPL
Group: 			Video
BuildRoot: 		%{_tmppath}/%{name}-buildroot
URL: 			http://kxine.sf.net
BuildRequires: 	libxine0-devel >= 0.9.9
BuildRequires: 	kdelibs-devel
BuildRequires: 	libfam-devel
BuildRequires: 	libart_lgpl2-devel
BuildRequires:  arts
BuildRequires:  zlib-devel
BuildRequires:	XFree86-devel
BuildRequires:  libpng-devel
Requires: xine-lib-compat-plugins >= 0.9.9

%description
This program integrates the xine video and audio player into KDE. It plays all
formats xine supports, including MPEG video, AVI (DivX) and Quicktime.

%prep
%setup -q
%patch

%build
# at the moment, the macro creates a libtool problem
./configure --prefix=%_prefix --libdir=%_libdir --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%name" icon="%name.png" longtitle="Multimedia player based on xine" title="Kxine" needs=x11 section="Multimedia/Video"

EOF
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
(
 cd %buildroot
 ln -s %_datadir/icons/locolor/16x16/apps/kxine.png ./%_miconsdir/%name.png
 ln -s %_datadir/icons/locolor/32x32/apps/kxine.png ./%_iconsdir/%name.png
)

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO AUTHORS
%_bindir/%name
%_datadir/doc/HTML/*/%name
%_datadir/icons/locolor/*/apps/%name.png
%_datadir/applnk/Applications/%name.desktop
%_menudir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png

%changelog
* Thu Mar 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5-0.rc1.5mdk
- buildrequires

* Thu Mar 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5-0.rc1.4mdk
- fix buildrequires

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5-0.rc1.3mdk
- fix buildrequires

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5-0.rc1.2mdk
- fix buildrequires

* Wed Feb 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5-0.rc1.1mdk
- fix buildrequires (thanks to Danny Tholen)
- 0.5rc1

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4-4mdk
- fix requires and buildrequires

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 0.4-3mdk
- Rebuild with gcc3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-2mdk
- Rebuild against gcc3.2

* Mon Jul 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- add translations
- another gcc3.1 patch
- drop merged patch
- new version

* Thu Jul  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- initial package
